Bug 10189 - can't install following RHEA-1999:045
can't install following RHEA-1999:045
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
http://www.redhat.com/support/errata/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-15 14:45 EST by Dave Kristol
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 18:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Kristol 2000-03-15 14:45:31 EST
I still have problems upgrading a RH 6.1 system from a RH 5.2 system
(i386).  I followed the errata instructions as follows:

1) Booted off floppy (boot-RHEA-1999:044).
2) Entered "linux update" at boot: prompt.
3) Selected CD-ROM and popped RH 6.1 CD-ROM in drive.  (Note:  If the
CD-ROM is already in the drive at (2), I get the GUI installer, and I get
the same failure as usual:  when I select Upgrade, I get a popup that says:
"Error mounting ext2 filesystem on hda1: Invalid argument".  When I click
OK, I get a pop that says "Searching for Red Hat Linux Installations", then
no further visible activity.  If I hit Ctrl-Alt-Backspace, I see python
errors on the screen which quickly scroll away.)
4) Put updates-RHEA-1999:045 floppy in drive when prompted and hit Enter.
5) X server died with the following on the screen:

error opening security policy file
/usr/X11R6/lib/X11/xserver/SecurityPolicy
Traceback (innermost last):
  File "/usr/bin/anaconda", line 224, in ?
    extraModules = extraModules)
  File "/tmp/updates/todo.py", line 462, in __init__
    self.setClass(instClass)
AttributeError: SetClass

Traceback (innermost last):
  File "/usr/bin/anaconda", line 232, in ?
    intf.__del__()
AttributeError: __del__
install exited abnormally
...

FWIW, my disk has partitions hda1 hda2 <hda5 hda6 hda7>.  WinNT is on hda1,
hda2, Linux is on hda[5-7].

Dave Kristol
Comment 1 Michael Fulbright 2000-06-12 14:25:07 EDT
Does this work better with the 6.2 release?

Note You need to log in before you can comment on or make changes to this bug.